/* ベーススタイル */
body {
    margin: 0;
    font-family: Arial, sans-serif;
    line-height: 1.6;
}

/* ページヘッダー全体 */
.page-header {
    position: relative;
    text-align: center; /* テキストを中央揃え */
    margin-bottom: 30px;
}

/* ヘッダー画像 */
.header-image {
    position: relative;
    width: 100%;
    height: 400px;
    overflow: hidden; /* 必要に応じて画像のはみ出しを防ぐ */
}

@media screen and (max-width: 768px)    {
    .header-image {
        height: 200px;
    }
}

.header-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.header-image h1 {
    position: absolute;
    top: 30%;
    left: 28%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: 2.2rem;
    font-weight: bold;
    text-shadow: 0px 2px 4px rgba(0, 0, 0, 0.5);
    border-top: 3px solid #92bb44;
    width: 400px; /* 線の横幅を指定 */
    text-align: left; /* テキストを中央揃え */
    padding: 0 50px 0;
}

/* スマホ対応 */
@media (max-width: 768px) {
    .header-image h1 {
        font-size: 24px;
        width: 150px;
        left: 30%;
        top: 50%;
        padding-left: 10px;
    }
}

/* メインコンテンツ */
.contact-content {
    padding: 20px 10px;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
}

.contact-content p {
    text-align: center;
    margin-bottom: 20px;
}

/* フォーム */
.contact-form {
    max-width: 800px;
    margin: 0 auto;
}

.form-group {
    margin-bottom: 20px;
}

.form-group label {
    display: block;
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 5px;
}

.form-group input,
.form-group textarea {
    width: 100%;
    padding: 10px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
}

textarea {
    resize: none;
}

/* 送信ボタン */
.form-submit {
    text-align: center; /* センター配置 */
    margin-top: 20px; /* 必要に応じて調整 */
}

.form-submit button {
    background-color: #92bb44;
    color: white;
    border: none;
    padding: 12px 20px;
    font-size: 16px;
    border-radius: 5px;
    cursor: pointer;
    display: inline-block; /* 必須 */
}

.form-submit button:hover {
    background-color: #005e24;
}

/* スマホ対応 */
@media (max-width: 768px) {
    .contact-form {
        max-width: 100%;
    }

    .form-group input,
    .form-group textarea {
        font-size: 14px;
    }

    .form-submit button {
        font-size: 14px;
    }
}
